%{?mingw_package_header}

%global pkgname glslang

Name:          mingw-%{pkgname}
Version:       1.3.250.1
Release:    1%{?dist}
Summary:       MinGW Windows %{pkgname} library

License:       BSD and GPLv3+ and ASL 2.0
BuildArch:     noarch
URL:           https://github.com/KhronosGroup/%{pkgname}
Source0:       %url/archive/sdk-%{version}/%{pkgname}-sdk-%{version}.tar.gz
Patch0:        glslang_debug-suffix.patch
Patch1:        glslang_cstdint.h

BuildRequires: make
BuildRequires: cmake

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-winpthreads-static

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-winpthreads-static


%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname} library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-sdk-%{version}


%build
%mingw_cmake -DBUILD_SHARED_LIBS=OFF
%mingw_make_build


%install
%mingw_make_install



%files -n mingw32-%{pkgname}
%{mingw32_bindir}/glslangValidator.exe
%{mingw32_bindir}/spirv-remap.exe
%{mingw32_includedir}/glslang/
%{mingw32_libdir}/libGenericCodeGen.a
%{mingw32_libdir}/libHLSL.a
%{mingw32_libdir}/libMachineIndependent.a
%{mingw32_libdir}/libOGLCompiler.a
%{mingw32_libdir}/libOSDependent.a
%{mingw32_libdir}/libSPIRV.a
%{mingw32_libdir}/libSPVRemapper.a
%{mingw32_libdir}/libglslang.a
%{mingw32_libdir}/libglslang-default-resource-limits.a
%{mingw32_libdir}/cmake/*

%files -n mingw64-%{pkgname}
%{mingw64_bindir}/glslangValidator.exe
%{mingw64_bindir}/spirv-remap.exe
%{mingw64_includedir}/glslang/
%{mingw64_libdir}/libGenericCodeGen.a
%{mingw64_libdir}/libHLSL.a
%{mingw64_libdir}/libMachineIndependent.a
%{mingw64_libdir}/libOGLCompiler.a
%{mingw64_libdir}/libOSDependent.a
%{mingw64_libdir}/libSPIRV.a
%{mingw64_libdir}/libSPVRemapper.a
%{mingw64_libdir}/libglslang.a
%{mingw64_libdir}/libglslang-default-resource-limits.a
%{mingw64_libdir}/cmake/*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.250.1-1
- initial build
